body {
    background: #779966;
    margin: 0;
    font-size: 16px;
}
.navbar {
    margin-bottom: 30px;
}
.navbar-inverse {
    border-color: none;
    background: url("../img/binding_dark.png") center center repeat;
    color: #fff;
    border-radius: 0;
}
.navbar-inverse .navbar-brand {
    color: #fff;
    font-family: 'Denk One';
    font-size: 24px;
    font-weight: 300;
    text-transform: uppercase;
}
.navbar-brand {
    display: inline-block;
    float: none;
    height: auto;
}
.navbar-brand img {
    display: inline-block;
    width: 25px;
    position: relative;
    top: -2px;
}
.main-box .standard-box-content {
    min-height: 240px;
}
.map {
    display: block;
    margin: 0 auto;
    max-width: 100%;
    cursor: pointer;
}
.map-results,
.map.map-results {
    margin: 20px auto;
    opacity: 0.65;
}
.buttons-container {
    width: 260px;
    margin: 0 auto 20px;
}
.column {
    height: 60px;
    clear: both;
    margin-top: 1px;
    text-align: center;
}
.mapRow {
    float: left;
    position: relative;
    margin: 3px;
    border-radius: 5px;
    width: 59px;
    height: 59px;
    background: #D20107;
    color: #FFF;
    font-family: "Arial", sans-serif;
    font-size: 26px;
    font-weight: 600;
    line-height: 59px;
    text-transform: uppercase;
    cursor: pointer;
}
.mapRow:hover {
    background: #C50007;
}
.mapRow.active {
    background: #8C0005;
}
.mapRow.correct,
.mapRow.active.correct {
    background: #2B8603;
    color: #FFF;
}
.mapRow.repetition,
.mapRow.active.repetition {
    background: #DF780A;
}
.game-loader {
    display: block;
    margin: -10px 0 0 -90px;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 9;
}
.loader-desc {
    font-family: 'Denk One';
    font-weight: 600;
    text-transform: uppercase;
    margin: 0;
    position: absolute;
    top: 52%;
    left: 0;
    width: 100%;
}
.standard-box {
    background: url("../img/white_texture.png") center center repeat;
    position: relative;
    vertical-align: top;
    border-left: 1px solid #E9E9E9;
    border-right: 1px solid #E9E9E9;
    border-bottom: 2px solid #D6DDDF;
    margin: 0 auto 20px;
}
.standard-box-header {
    font-family: 'Denk One';
    background: url("../img/binding_dark.png") center center repeat;
    padding: 11px 20px;
    margin: 0 -1px;
    position: relative;
    font-size: 16px;
    color: #fff;
    text-transform: uppercase;
    font-weight: 300;
}
.standard-box-content {
    position: relative;
    padding: 15px;
}
.standard-box.main-box {
    padding: 15px;
}
.overflow {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 10;
    background: rgba(255,255,255,0.75);
}
.pause {
    width: 80px;
    height: 80px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -40px 0 0 -40px;
    font-size: 32px;
    line-height: 80px;
    background: #fff;
    border-radius: 7px;
    text-align: center;
}
ul {
    padding-left: 15px;
}
ul li {
    padding-bottom: 10px;
}
ul li:last-child {
    padding-bottom: 0;
}
blockquote {
    background: #F9D3D3;
    border-color: #D20107;
    font-size: 12px;
    margin: 0;
}
.table>thead>tr>th {
    border-color: #000;
}
.table>tbody>tr>td,
.table>tbody>tr>th,
.table>tfoot>tr>td,
.table>tfoot>tr>th,
.table>thead>tr>td,
.table>thead>tr>th {
    border-color: #000;
}
.input-sm {
    height: 22px;
    padding: 3px 5px;
}
.form-group {
    position: relative;
    margin-bottom: 20px;
}
.form-group .input-loader {
    position: absolute;
    top: 3px;
    right: 4px;
}
.form-inline {
    margin-bottom: 20px;
}
.form-inline .form-group {
    margin-bottom: 0;
}
.form-inline .form-control.input-preview {
    display: inline-block;
    position: relative;
    top: -2px;
    width: 30px;
    color: #ce596e;
    font-size: 14px;
    font-weight: 600;
}
label.error {
    color: #D20107;
    font-weight: 300;
    line-height: 1.3;
    margin: 5px 0 0 0;
}
.save-results-form {
    margin: 0 auto;
    width: 80%;
}
.btn {
    text-transform: uppercase;
    font-weight: 400;
}
.btn-success {
    background: #2B8603;
    border-color: #0A7D01;
}
.btn-success:hover,
.btn-success:focus {
    background: #0A7D01;
}
.btn-danger {
    background: #D20107;
    border-color: #C50007;
}
.btn-danger:hover,
.btn-danger:focus {
    background: #C50007;
}
.btn-choice-container {
    position: absolute;
    top: 50%;
    left: 0;
    z-index: 11;
    width: 100%;
    padding: 0 15px;
    margin: -74px 0 0 0;
}
.btn-choice-container h2 {
    font-family: 'Denk One';
    font-size: 22px;
    font-weight: 600;
    text-transform: uppercase;
    margin-top: 0;
}
.btn-choice-container .btn {
    margin: 20px auto 0;
    width: 80%;
    padding: 8px 12px;
    white-space: normal;
}
.word {
    display: inline-block;
    padding: 4px 8px 3px;
    border-radius: 3px;
    background: #D20107;
    border: 2px solid #D20107;
    color: #FFF;
    margin: 0 4px 4px 0;
    font-size: 12px;
    font-weight: 600;
    cursor: pointer;
}
.word.active {
    background: #8C0005;
    border: 2px solid #8C0005;
}
.word.checking {
    border: 2px solid #000;
}
.word.checking.active {
    border: 2px solid #000;
}
.score,
.timer {
    font-family: 'Denk One';
    font-size: 16px;
    font-weight: 600;
    margin: 0;
    position: absolute;
    top: 15px;
    z-index: 11;
    text-transform: uppercase;
}
.score {
    left: 15px;
}
.timer {
    right: 15px;
}
.control-key {
    display: inline-block;
    width: 24px;
    height: 24px;
    border-radius: 3px;
    background: #030303;
    color: #fff;
    line-height: 24px;
    font-size: 12px;
    text-align: center;
}
.current-word {
    position: absolute;
    top: 40px;
    width: 100%;
    text-align: center;
    left: 0;
}
.start {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(255,255,255,0.5);
}
.start .btn-container {
    position: absolute;
    top: 50%;
    left: 0;
    z-index: 10;
    margin-top: -66px;
    width: 100%;
}
.start .btn-container .btn {
    margin: 20px auto 0;
    width: 80%;
}
.start .btn-container .form-group .btn {
    width: 100%;
}
.btn-start {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 11;
    width: 120px;
    font-size: 18px;
    margin: -23px 0 0 -60px;
}
.all-words {
    padding: 0 20px;
    text-align: center;
}
.info {
    line-height: 24px;
}
.info .fa {
    position: relative;
    top: 3px;
    font-size: 24px;
    margin-right: 10px;
}
.info strong {
    font-size: 24px;
    float: right;
    color: #ce596e;
}
.results h3 {
    font-family: 'Denk One';
    font-size: 22px;
    font-weight: 600;
    text-transform: uppercase;
    margin: 60px 0 20px;
}
.all-words h4 {
    font-family: 'Denk One';
    font-weight: 600;
    text-transform: uppercase;
    margin: 40px 0;
}
.results {
    margin-top: 20px;
}
.results-first {
    max-width: 260px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}
.results .btn-start {
    position: relative;
    top: auto;
    left: auto;
    margin: 0 0 20px;
    width: 100%;
}
.percent-result,
.results .percent-result,
.all-words .percent-result {
    font-size: 40px;
    color: #B90000;
    margin: 0 0 20px;
}
.footer {
    padding: 15px;
    background: url("../img/binding_dark.png") center center repeat;
    color: #fff;
}
html, body {
    height: 100%;
}
.page-wrap {
    min-height: 100%;
    margin-bottom: -50px;
}
.page-wrap:after {
    content: "";
    display: block;
}
.footer,
.page-wrap:after {
    height: 50px;
}
.btn-group-xs>.btn, .btn-xs {
    line-height: 1.3;
    font-size: 11px;
}

/*alert*/
.alert {
    position: relative;
    border-radius: 0;
    font-size: 1.2em;
}

/*messages*/
.flash-messages {
    position: fixed;
    width: 60%;
    margin: 0 20%;
    z-index: 200;
    text-align: center;
}
.flash-messages .alert {
    z-index: 200;
    margin: 5px auto;
    padding: 15px;
    line-height: 1;
    box-shadow: 0px 2px 8px 2px rgba(0,0,0,.5);
}
.flash-messages .alert .close {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 10;
    color: #000;
}
.modal .alert {
    margin-bottom: 10px;
    padding: 10px;
    line-height: 1;
    text-align: center;
}

/*counter*/
.counter {
    color: #1c242b;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -36px 0 0 -36px;
    z-index: 9;
    font-size: 32px;
    line-height: 72px;
    height: 72px;
    width: 72px;
    text-align: center;
    border-radius: 36px;
    background: #fff;
}

/*slider*/
.bg-success {
    background-color: #2B8603;
}
.bg-warning {
    background-color: #f0ad4e;
}
.bg-danger {
    background-color: #D20107;
}
.bg-primary {
    background-color: #337ab7;
}
.bg-info {
    background-color: #5bc0de;
}
.noUi-horizontal .noUi-handle {
    width: 20px;
    height: 22px;
    left: -10px;
    top: -3px;
}
.noUi-handle:after, .noUi-handle:before {
    top: 3px;
    left: 7px;
}
.noUi-handle:after {
    right: 7px;
    left: auto;
}

/*switcher*/
.slider-frame {
    margin-right: 10px;
    margin-bottom: 8px;
}
.slider-frame {
    position: relative;
    display: block;
    width: 67px;
    background-color: #d5dde4;
    height: 23px;
    border-radius: 15px;
    box-shadow: inset 0px 1px 5px 0px rgba(0, 0, 0, 0.3);
}
.slider-button {
    display: block;
    width: 37px;
    height: 23px;
    line-height: 23px;
    background: #fff;
    border: 1px solid #d0dde9;
    border-radius: 9px;
    -webkit-transition: all 0.25s ease-in-out;
       -moz-transition: all 0.25s ease-in-out;
            transition: all 0.25s ease-in-out;
    color: #000;
    font-family: sans-serif;
    font-size: 11px;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
}
.slider-button.on {
    margin-left: 29px;
}

@media (max-width: 1199px) {
    .loader-desc {
        top: 54%;
    }
    .start .btn-container {
        top: 0;
        margin-top: 10%;
    }
    .btn-group-lg>.btn, .btn-lg {
        padding: 5px 10px;
        font-size: 14px;
    }
    .start .btn-container .btn {
        margin: 10px auto 0;
        width: 80%;
    }
    .flash-messages .alert h3 {
        margin-top: 0;
        font-size: 18px;
    }
    .flash-messages .alert h4 {
        font-size: 16px;
        margin-bottom: 5px;
    }
    .flash-messages .alert h4:last-child {
        margin-bottom: 0;
    }
    .form-group {
        margin-bottom: 10px;
    }
    .input-lg {
        height: 32px;
        padding: 5px 10px;
        font-size: 14px;
    }
    .input-loader {
        width: 26px;
    }
}

@media (max-width: 767px) {
    .navbar {
        margin-bottom: 20px;
    }
    .buttons-container {
        margin: 0 auto;
    }
    .current-word {
        top: 30px;
    }
    .btn-choice-container .btn {
        width: 100%;
    }
}
@media (max-width: 479px) {
    .btn-group-lg>.btn, .btn-lg {
        font-size: 12px;
    }
    .btn {
        font-size: 12px;
    }
}

@media (min-width: 1200px) {
    .standard-box {
        min-height: 672px;
    }
}

